# \Thelia\Core\EventCartItemEvent

## Summary

Methods
Properties
Constants
__construct()
getCartItem()
No public properties found
No constants found
No protected methods found
$cartItem
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/CartItemEvent.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Event\InternalEvent
  \Thelia\Core\Event\CartItemEvent

## Tags

None found

## Properties

### $cartItem

    $cartItem

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\CartItem $cartItem)

#### Parameters

\Thelia\Model\CartItem | $cartItem |

#

## Tags

None found

### getCartItem()

    getCartItem()

#

## Tags

None found

### CartItemEvent.php